<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Uses of Interface ch.sebi.zuul.logic.items.Item</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface ch.sebi.zuul.logic.items.Item";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/items/class-use/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface ch.sebi.zuul.logic.items.Item" class="title">Uses of Interface<br>ch.sebi.zuul.logic.items.Item</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.condition">ch.sebi.zuul.logic.condition</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items">ch.sebi.zuul.logic.items</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.food">ch.sebi.zuul.logic.items.items.food</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items.items.weapon">ch.sebi.zuul.logic.items.items.weapon</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.map">ch.sebi.zuul.logic.map</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">InventoryExecutor.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#getItemStatis-ch.sebi.zuul.logic.items.Item-">getItemStatis</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">returns the item statis (like usable or weapon) joined by ',' and wrapped in parentheses</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.condition">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a> declared as <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></code></td>
<td class="colLast"><span class="typeNameLabel">ItemInInventoryCondition.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#neededItem">neededItem</a></span></code>
<div class="block">the needed item</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a> that return <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></code></td>
<td class="colLast"><span class="typeNameLabel">ItemInInventoryCondition.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#getNeededItem--">getNeededItem</a></span>()</code>
<div class="block">Returns the needed item</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#ItemInInventoryCondition-ch.sebi.zuul.logic.items.Item-int-">ItemInInventoryCondition</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;neededItem,
                        int&nbsp;minimalAmount)</code>
<div class="block">constructor</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Usable.html" title="interface in ch.sebi.zuul.logic.items">Usable</a></span></code>
<div class="block">A interface which annotates a if an item is usable</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Weapon.html" title="interface in ch.sebi.zuul.logic.items">Weapon</a></span></code>
<div class="block">If a class extends from this class, then it can be used as a weapon in battle</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> that implement <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/BasicItem.html" title="class in ch.sebi.zuul.logic.items">BasicItem</a></span></code>
<div class="block">A class which represents an item</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> declared as <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></code></td>
<td class="colLast"><span class="typeNameLabel">ItemSlot.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html#item">item</a></span></code>
<div class="block">the item itself</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> that return <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></code></td>
<td class="colLast"><span class="typeNameLabel">ItemSlot.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html#getItem--">getItem</a></span>()</code>
<div class="block">Returns the item of the slot</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#findItem-ch.sebi.zuul.logic.items.Item-">findItem</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Finds the slot id for the given item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#setNewSlot-ch.sebi.zuul.logic.items.Item-int-">setNewSlot</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item,
          int&nbsp;amount)</code>
<div class="block">Creates a new slot where there is space.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#setSlot-int-ch.sebi.zuul.logic.items.Item-int-">setSlot</a></span>(int&nbsp;slot,
       <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
       int&nbsp;amount)</code>
<div class="block">Creates a new slot an sets it to the given slot number</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html#ItemSlot-int-ch.sebi.zuul.logic.items.Item-">ItemSlot</a></span>(int&nbsp;amount,
        <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">constructor</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.food">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/items/items/food/package-summary.html">ch.sebi.zuul.logic.items.items.food</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../ch/sebi/zuul/logic/items/items/food/package-summary.html">ch.sebi.zuul.logic.items.items.food</a> that implement <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/items/food/Food.html" title="class in ch.sebi.zuul.logic.items.items.food">Food</a></span></code>
<div class="block">An class which represents food items</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items.items.weapon">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../ch/sebi/zuul/logic/items/items/weapon/package-summary.html">ch.sebi.zuul.logic.items.items.weapon</a> that implement <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" title="class in ch.sebi.zuul.logic.items.items.weapon">BasicWeapon</a></span></code>
<div class="block">A basic weapon which makes damage</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/items/weapon/Sword.html" title="class in ch.sebi.zuul.logic.items.items.weapon">Sword</a></span></code>
<div class="block">A class which represents a sword</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.map">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a> in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#addItem-ch.sebi.zuul.logic.items.Item-int-">addItem</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
       int&nbsp;amount)</code>
<div class="block">Adds an item to this room</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#containsItem-ch.sebi.zuul.logic.items.Item-">containsItem</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Checks if an item is present in this room</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#getItemSlot-ch.sebi.zuul.logic.items.Item-">getItemSlot</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Returns the item slot for the given item or null if the item does not exist</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#removeItem-ch.sebi.zuul.logic.items.Item-int-">removeItem</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;i,
          int&nbsp;amount)</code>
<div class="block">Decrements the amount counter of an item until it is zero or below.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/items/class-use/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
